/**
 * Created by DoanPV on 26/04/2019.
 */

if ($('.img-homepage').length) {
    var scrollTrigger = 100, // px

    backToTop = function () {
        var scrollTop = $(window).scrollTop();
        if (scrollTop > scrollTrigger) {
            $('.img-homepage').addClass('up-to-top-show');
        } else {
            $('.img-homepage').removeClass('up-to-top-show');
        }
    };

    backToTop();

    $(window).on('scroll', function () {
        backToTop();
    });

    $('.img-homepage').on('click', function (e) {
        e.preventDefault();
        $('html,body').animate({
            scrollTop: 0
        }, 700);
    });
}

$(document).ready(function(){
    $('.category_usage h5').on('click', function(){
        if($(this).attr('aria-expanded') == 'true'){
            $(this).find('.fa-angle-up').css('display','none');
            $(this).find('.fa-angle-down').css('display','block');
        }else{
            $(this).find('.fa-angle-up').css('display','block');
            $(this).find('.fa-angle-down').css('display','none');
        }
    });

    $('#price_slider').slick({
        dots: true,
        infinite: true,
        slidesToShow: 3,
        slidesToScroll: 3,
        autoplaySpeed: 2000,
    });
})